/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/version.h>
#include <gui/builder.h>


void gui_window_init(const gchar *icon)
{
	GtkWindow *window = GTK_WINDOW(gui_builder_widget("o_window"));
	gchar *title = g_strdup_printf("Ocarina %s", get_version());

	gtk_window_set_title(window, title);
	gtk_window_set_icon_from_file(window, icon, NULL);

	g_free(title);
}

void gui_window_deinit()
{
	gtk_widget_destroy(gui_builder_widget("o_window"));
}
